Subject: bug#16723: closed (Re: Bug using -A and -v at least in 2.14 of grep !?)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 08 Mar 2014 23:14:02 +0000

Your bug report

#16723: Bug using -A and -v at least in 2.14 of grep !?

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16723: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16723
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Bug using -A and -v at least in 2.14 of grep !?
From: Paul Eggert <[email-masked]>
To: [email-masked]
Date: Sat, 08 Mar 2014 15:13:13 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Sorry, I don't see a bug here.  grep -v PAT matches all lines that do 
not match PAT.  If a line doesn't contain the word 'stylesheet', 'grep 
-v stylesheet' will match the line even if it is adjacent to a line that 
does contain 'stylesheet', and -A 2 will then print the adjacent line.

Subject: Bug using -A and -v at least in 2.14 of grep !?
From: "NICOLAI, Volker (AKKA IS)" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 11 Feb 2014 15:13:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,
I tried to filter 3 repeating lines out of XML file. The first line contains "stylesheet".
The command I used is: grep -v -A 2 stylesheet FILENAME
The search without the -v works filtering out the 3 expected lines but the above command line does not work.
I would call that a bug - you too?
Looked into you reported bug, nothing there so I suspect 2.16. still hasn't changed here and I save my time triying.
Regards
Volker

The information in this e-mail is confidential. The contents may not be disclosed or used by anyone other than the addressee. Access to this e-mail by anyone else is unauthorised.
If you are not the intended recipient, please notify Airbus immediately and delete this e-mail.
Airbus cannot accept any responsibility for the accuracy or completeness of this e-mail as it has been sent over public networks. If you have any concerns over the content of this message or its Accuracy or Integrity, please contact Airbus immediately.
All outgoing e-mails from Airbus are checked using regularly updated virus scanning software but you should take whatever measures you deem to be appropriate to ensure that this message and any attachments are virus free.